PHP is among the most commonly used open-source server-side scripting languages. It’s very popular as it’s free software, which you can use to create interactive sites such as social networks, Internet shops or online teaching sites rather than static HTML websites. A PHP module should be activated on the server where a PHP-driven site is hosted so that its PHP code can be ‘decoded’. Because there are no license fees for this sort of module and the language provides countless possibilities for the Internet apps that you develop, there’re 100s of millions of PHP-powered sites. What is more, there are a lot of open-source PHP-based scripts, which you can use for your sites without the need to possess any coding knowledge. Given the fact that there’re a handful of PHP versions, you must verify if the same exact version that you used whilst creating your website is present on the server too.
PHP 4 and PHP 5 Support in Cloud Web Hosting
With our Linux cloud web hosting, you will be able to pick which PHP version will be enabled for your account, since several versions are available on our servers. With as little as one click, you’ll be able to switch between PHP 4, 5.2, 5.3, 5.4 and 5.5 and every time a new version is unveiled in the future, we will add it to the Hepsia Control Panel without removing the earlier versions. Thus, you’ll be able to host all the sites that you’ve created through the years. Unlike many other hosting vendors, we will not force you to update such sites, because a script may be out of date, but this doesn’t automatically mean that it is vulnerable as you may have performed modifications to its source code to repair security gaps. For your convenience, you’ll even be able to set a different PHP version for each single website hosted in your shared account.
PHP 4 and PHP 5 Support in Semi-dedicated Hosting
It is our unfaltering conviction that years spent building a website should not be wasted, which suggests that in case you order a semi-dedicated server from our company, you will be able to use any script, irrespective of whether it’s old or new. In contrast with many web hosting companies, we support a number of different versions of PHP on our revolutionary cloud platform – 4, 5.2, 5.3, 5.4 and 5.5. You will not only have the ability to enable the required version through your Hepsia hosting Control Panel, but you will also have the opportunity to choose a different version for each website. This can be done simply by placing an .htaccess file into the given site’s root folder. You can change the current version both for a single site and for the account itself and the change will take effect in no more than a couple of minutes. With our web hosting services, you can be sure that you won’t ever experience any website incompatibility impediments.